@echo off
setlocal
set project=vfy
set project_title=VERIFY
set project_url=http://www.pepak.net/download/verify-overovani-integrity-souboru/
set packext=zip

if "%~1"=="" goto syntax
set version=%1

updver.exe -v %version% "%srcdir%%project%.res"
if exist ..\%project%-%version%.%packext% del ..\%project%-%version%.%packext%
if exist ..\%project%-%version%-source.zip del ..\%project%-%version%-source.zip
call clean.bat
call build.bat delphi x86 release %2 %3 %4 %5 %6 %7 %8 %9
ren "..\bin\%project%.exe" "%project%32.exe"
call sign "%project_title% v%version%" "%project_url%" "..\bin\%project%32.exe"
call build.bat delphi x64 release %2 %3 %4 %5 %6 %7 %8 %9
ren "..\bin\%project%.exe" "%project%64.exe"
call sign "%project_title%-x64 v%version%" "%project_url%" "..\bin\%project%64.exe"
call clean.bat
pushd ..\bin
kzip /r "..\%project%-%version%.%packext%"
popd
pushd ..
kzip /r "%project%-%version%-source.%packext%" bin\* source\*
popd
goto :eof

:syntax
echo build-rel ^<version^> [build-arguments]
goto :eof
